









#ifndef XGFXREFLECTIONPROBE_H
#define XGFXREFLECTIONPROBE_H

#include "xasset.h"

class XGfxReflectionProbe : public XAsset
{
public:
    explicit XGfxReflectionProbe();

    void ParseData(QDataStream *aStream) override;

    const float* GetOrigin() const;
    void SetOrigin(const float* origin, size_t count = 3);

    float GetRadius() const;
    void SetRadius(float radius);

    int GetFlags() const;
    void SetFlags(int flags);

private:
    float mOrigin[3] = {0.0f, 0.0f, 0.0f};
    float mRadius = 0.0f;
    int mFlags = 0;
};

#endif // XGFXREFLECTIONPROBE_H









